#
# spec file for package python-azure-mgmt
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt
Version:        4.0.0
Release:        lp151.1.1
Summary:        Microsoft Azure Resource Management bundle
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt/azure-mgmt-%{version}.zip
Source1:        LICENSE.txt
Patch1:         am_drop-compatible-releases-operator.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-mgmt-advisor < 2.0.0
Requires:       python-azure-mgmt-advisor >= 1.0
Requires:       python-azure-mgmt-applicationinsights < 1.0.0
Requires:       python-azure-mgmt-applicationinsights >= 0.1.1
Requires:       python-azure-mgmt-authorization < 1.0.0
Requires:       python-azure-mgmt-authorization >= 0.50.0
Requires:       python-azure-mgmt-batch < 6.0.0
Requires:       python-azure-mgmt-batch >= 5.0
Requires:       python-azure-mgmt-batchai < 3.0.0
Requires:       python-azure-mgmt-batchai >= 2.0
Requires:       python-azure-mgmt-billing < 1.0.0
Requires:       python-azure-mgmt-billing >= 0.2.0
Requires:       python-azure-mgmt-botservice < 1.0.0
Requires:       python-azure-mgmt-botservice >= 0.1.0
Requires:       python-azure-mgmt-cdn < 4.0.0
Requires:       python-azure-mgmt-cdn >= 3.0
Requires:       python-azure-mgmt-cognitiveservices < 4.0.0
Requires:       python-azure-mgmt-cognitiveservices >= 3.0
Requires:       python-azure-mgmt-commerce < 2.0.0
Requires:       python-azure-mgmt-commerce >= 1.0
Requires:       python-azure-mgmt-compute < 5.0.0
Requires:       python-azure-mgmt-compute >= 4.0
Requires:       python-azure-mgmt-consumption < 3.0.0
Requires:       python-azure-mgmt-consumption >= 2.0
Requires:       python-azure-mgmt-containerinstance < 2.0.0
Requires:       python-azure-mgmt-containerinstance >= 1.0
Requires:       python-azure-mgmt-containerregistry < 3.0.0
Requires:       python-azure-mgmt-containerregistry >= 2.1
Requires:       python-azure-mgmt-containerservice < 5.0.0
Requires:       python-azure-mgmt-containerservice >= 4.2
Requires:       python-azure-mgmt-cosmosdb < 1.0.0
Requires:       python-azure-mgmt-cosmosdb >= 0.4.1
Requires:       python-azure-mgmt-datafactory < 1.0.0
Requires:       python-azure-mgmt-datafactory >= 0.6.0
Requires:       python-azure-mgmt-datalake-analytics < 1.0.0
Requires:       python-azure-mgmt-datalake-analytics >= 0.6.0
Requires:       python-azure-mgmt-datalake-store < 1.0.0
Requires:       python-azure-mgmt-datalake-store >= 0.5.0
Requires:       python-azure-mgmt-datamigration < 2.0.0
Requires:       python-azure-mgmt-datamigration >= 1.0
Requires:       python-azure-mgmt-devspaces < 1.0.0
Requires:       python-azure-mgmt-devspaces >= 0.1.0
Requires:       python-azure-mgmt-devtestlabs < 3.0.0
Requires:       python-azure-mgmt-devtestlabs >= 2.2
Requires:       python-azure-mgmt-dns < 3.0.0
Requires:       python-azure-mgmt-dns >= 2.0
Requires:       python-azure-mgmt-documentdb < 1.0.0
Requires:       python-azure-mgmt-documentdb >= 0.1.3
Requires:       python-azure-mgmt-eventgrid < 3.0.0
Requires:       python-azure-mgmt-eventgrid >= 1.0
Requires:       python-azure-mgmt-eventhub < 3.0.0
Requires:       python-azure-mgmt-eventhub >= 2.1
Requires:       python-azure-mgmt-hanaonazure < 1.0.0
Requires:       python-azure-mgmt-hanaonazure >= 0.1.1
Requires:       python-azure-mgmt-hdinsight < 1.0.0
Requires:       python-azure-mgmt-hdinsight >= 0.1.0
Requires:       python-azure-mgmt-iotcentral < 1.0.0
Requires:       python-azure-mgmt-iotcentral >= 0.1.0
Requires:       python-azure-mgmt-iothub < 1.0.0
Requires:       python-azure-mgmt-iothub >= 0.5.0
Requires:       python-azure-mgmt-iothubprovisioningservices < 1.0.0
Requires:       python-azure-mgmt-iothubprovisioningservices >= 0.2.0
Requires:       python-azure-mgmt-keyvault < 2.0.0
Requires:       python-azure-mgmt-keyvault >= 1.0
Requires:       python-azure-mgmt-kusto < 1.0.0
Requires:       python-azure-mgmt-kusto >= 0.1.0
Requires:       python-azure-mgmt-loganalytics < 1.0.0
Requires:       python-azure-mgmt-loganalytics >= 0.2.0
Requires:       python-azure-mgmt-logic < 4.0.0
Requires:       python-azure-mgmt-logic >= 3.0
Requires:       python-azure-mgmt-machinelearningcompute < 1.0.0
Requires:       python-azure-mgmt-machinelearningcompute >= 0.4.1
Requires:       python-azure-mgmt-managementgroups < 1.0.0
Requires:       python-azure-mgmt-managementgroups >= 0.1.0
Requires:       python-azure-mgmt-managementpartner < 1.0.0
Requires:       python-azure-mgmt-managementpartner >= 0.1.0
Requires:       python-azure-mgmt-maps < 1.0.0
Requires:       python-azure-mgmt-maps >= 0.1.0
Requires:       python-azure-mgmt-marketplaceordering < 1.0.0
Requires:       python-azure-mgmt-marketplaceordering >= 0.1.0
Requires:       python-azure-mgmt-media < 2.0.0rc2
Requires:       python-azure-mgmt-media >= 1.0.0rc2
Requires:       python-azure-mgmt-monitor < 1.0.0
Requires:       python-azure-mgmt-monitor >= 0.5.2
Requires:       python-azure-mgmt-msi < 1.0.0
Requires:       python-azure-mgmt-msi >= 0.2.0
Requires:       python-azure-mgmt-network < 3.0.0
Requires:       python-azure-mgmt-network >= 2.0
Requires:       python-azure-mgmt-notificationhubs < 3.0.0
Requires:       python-azure-mgmt-notificationhubs >= 2.0
Requires:       python-azure-mgmt-policyinsights < 1.0.0
Requires:       python-azure-mgmt-policyinsights >= 0.1.0
Requires:       python-azure-mgmt-powerbiembedded < 3.0.0
Requires:       python-azure-mgmt-powerbiembedded >= 2.0
Requires:       python-azure-mgmt-rdbms < 2.0.0
Requires:       python-azure-mgmt-rdbms >= 1.2
Requires:       python-azure-mgmt-recoveryservices < 1.0.0
Requires:       python-azure-mgmt-recoveryservices >= 0.3.0
Requires:       python-azure-mgmt-recoveryservicesbackup < 1.0.0
Requires:       python-azure-mgmt-recoveryservicesbackup >= 0.3.0
Requires:       python-azure-mgmt-redis < 6.0.0
Requires:       python-azure-mgmt-redis >= 5.0
Requires:       python-azure-mgmt-relay < 1.0.0
Requires:       python-azure-mgmt-relay >= 0.1.0
Requires:       python-azure-mgmt-reservations < 1.0.0
Requires:       python-azure-mgmt-reservations >= 0.2.1
Requires:       python-azure-mgmt-resource < 3.0.0
Requires:       python-azure-mgmt-resource >= 2.0
Requires:       python-azure-mgmt-scheduler < 3.0.0
Requires:       python-azure-mgmt-scheduler >= 2.0
Requires:       python-azure-mgmt-search < 3.0.0
Requires:       python-azure-mgmt-search >= 2.0
Requires:       python-azure-mgmt-servermanager < 3.0.0
Requires:       python-azure-mgmt-servermanager >= 2.0.0
Requires:       python-azure-mgmt-servicebus < 1.0.0
Requires:       python-azure-mgmt-servicebus >= 0.5.1
Requires:       python-azure-mgmt-servicefabric < 1.0.0
Requires:       python-azure-mgmt-servicefabric >= 0.2.0
Requires:       python-azure-mgmt-signalr < 1.0.0
Requires:       python-azure-mgmt-signalr >= 0.1.0
Requires:       python-azure-mgmt-sql < 1.0.0
Requires:       python-azure-mgmt-sql >= 0.9.1
Requires:       python-azure-mgmt-storage < 3.0.0
Requires:       python-azure-mgmt-storage >= 2.0
Requires:       python-azure-mgmt-subscription < 1.0.0
Requires:       python-azure-mgmt-subscription >= 0.2.0
Requires:       python-azure-mgmt-trafficmanager < 1.0.0
Requires:       python-azure-mgmt-trafficmanager >= 0.50.0
Requires:       python-azure-mgmt-web < 1.0.0
Requires:       python-azure-mgmt-web >= 0.35.0
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Resource Management bundle.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package does not contain any code in itself. It installs a set
of packages that provide management APIs for the various Azure services.

All packages in this bundle have been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

%prep
%setup -q -n azure-mgmt-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-%{version}
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/azure_mgmt-*.egg-info

%changelog
* Thu Sep  6 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 4.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-botservice
  + python-azure-mgmt-datamigration
  + python-azure-mgmt-devspaces
  + python-azure-mgmt-documentdb
  + python-azure-mgmt-hdinsight
  + python-azure-mgmt-iotcentral
  + python-azure-mgmt-kusto
  + python-azure-mgmt-managementgroups
  + python-azure-mgmt-maps
  + python-azure-mgmt-policyinsights
  + python-azure-mgmt-servermanager
  + python-azure-mgmt-signalr
- Update version numbers for component packages in Requires
  + python-azure-mgmt-authorization >= 0.50.0
  + python-azure-mgmt-batchai >= 2.0
  + python-azure-mgmt-billing >= 0.2.0
  + python-azure-mgmt-cdn >= 3.0
  + python-azure-mgmt-cognitiveservices >= 3.0
  + python-azure-mgmt-compute >= 4.0
  + python-azure-mgmt-containerinstance >= 1.0
  + python-azure-mgmt-containerregistry >= 2.1
  + python-azure-mgmt-containerservice >= 4.2
  + python-azure-mgmt-cosmosdb >= 0.4.1
  + python-azure-mgmt-datafactory >= 0.6.0
  + python-azure-mgmt-datalake-analytics >= 0.6.0
  + python-azure-mgmt-datalake-store >= 0.5.0
  + python-azure-mgmt-datamigration >= 1.0
  + python-azure-mgmt-devtestlabs >= 2.2
  + python-azure-mgmt-dns >= 2.0
  + python-azure-mgmt-eventgrid >= 1.0
  + python-azure-mgmt-eventhub >= 2.1
  + python-azure-mgmt-hanaonazure >= 0.1.1
  + python-azure-mgmt-iotcentral >= 0.1.0
  + python-azure-mgmt-iothub >= 0.5.0
  + python-azure-mgmt-iothubprovisioningservices >= 0.2.0
  + python-azure-mgmt-keyvault >= 1.0
  + python-azure-mgmt-loganalytics >= 0.2.0
  + python-azure-mgmt-logic >= 3.0
  + python-azure-mgmt-machinelearningcompute >= 0.4.1
  + python-azure-mgmt-managementgroups >= 0.1.0
  + python-azure-mgmt-media >= 1.0.0rc2
  + python-azure-mgmt-monitor >= 0.5.2
  + python-azure-mgmt-msi >= 0.2.0
  + python-azure-mgmt-network >= 2.0
  + python-azure-mgmt-notificationhubs >= 2.0
  + python-azure-mgmt-powerbiembedded >= 2.0
  + python-azure-mgmt-rdbms >= 1.2
  + python-azure-mgmt-recoveryservices >= 0.3.0
  + python-azure-mgmt-recoveryservicesbackup >= 0.3.0
  + python-azure-mgmt-reservations >= 0.2.1
  + python-azure-mgmt-resource >= 2.0
  + python-azure-mgmt-scheduler >= 2.0
  + python-azure-mgmt-search >= 2.0
  + python-azure-mgmt-servicebus >= 0.5.1
  + python-azure-mgmt-servicefabric >= 0.2.0
  + python-azure-mgmt-sql >= 0.9.1
  + python-azure-mgmt-storage >= 2.0
  + python-azure-mgmt-subscription >= 0.2.0
  + python-azure-mgmt-trafficmanager >= 0.50.0
  + python-azure-mgmt-web >= 0.35.0
- Update patches for new version
  + am_drop-compatible-releases-operator.patch
- Update %%description from setup.py
- Update Requires from setup.py
* Mon May  7 2018 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-batchai >= 1.0.0
  + python-azure-mgmt-compute >= 4.0.0rc1
  + python-azure-mgmt-dns >= 2.0.0rc1
  + python-azure-mgmt-network >= 2.0.0rc2
  + python-azure-mgmt-rdbms >= 1.1.0
* Fri Apr 13 2018 adrian.glaubitz@suse.com
- New upstream version
  + Version 2.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-batchai
  + python-azure-mgmt-billing
  + python-azure-mgmt-containerinstance
  + python-azure-mgmt-containerservice
  + python-azure-mgmt-managementpartner
  + python-azure-mgmt-relay
  + python-azure-mgmt-servicefabric
- Remove obsolete packages from the Azure SDK from Requires
  + python-azure-mgmt-documentdb
- Move LICENSE.txt from %%doc to %%license section
- Update patches for new version
  + am_drop-compatible-releases-operator.patch
- Update Requires from setup.py
* Tue Feb 13 2018 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-batch to >= 5.0.0
  + python-azure-mgmt-cdn to >= 2.0.0
  + python-azure-mgmt-cognitiveservices to >= 2.0.0
* Thu Jan 25 2018 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-advisor
  + python-azure-mgmt-applicationinsights
  + python-azure-mgmt-consumption
  + python-azure-mgmt-datafactory
  + python-azure-mgmt-hanaonazure
  + python-azure-mgmt-iothubprovisioningservices
  + python-azure-mgmt-loganalytics
  + python-azure-mgmt-machinelearningcompute
  + python-azure-mgmt-marketplaceordering
  + python-azure-mgmt-msi
  + python-azure-mgmt-reservations
  + python-azure-mgmt-subscription
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-eventgrid
  + python-azure-mgmt-recoveryservices
- Explicitly specify Python files of the package in %%files
- Remove bogus tests directory from %%files
- Bump python-azure-mgmt-compute Requires to >= 3.0.0
- Bump python-azure-mgmt-containerregistry Requires to >= 1.0.0
* Tue Jul 11 2017 adrian.glaubitz@suse.com
- Update version numbers in Requires
  + Bump minimum version for python-azure-mgmt-cdn to 1.0.0
  + Bump minimum version for python-azure-mgmt-compute to 2.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-commerce
  + python-azure-mgmt-cosmosdb
  + python-azure-mgmt-eventhub
  + python-azure-mgmt-media
  + python-azure-mgmt-notificationhubs
  + python-azure-mgmt-powerbiembedded
  + python-azure-mgmt-recoveryservicesbackup
  + python-azure-mgmt-search
  + python-azure-mgmt-servermanager
  + python-azure-mgmt-servicebus
* Tue Jun 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 1.0.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + am_drop-compatible-releases-operator.patch
